Bug 50458 - Images in XLSX files behave strange in Excel 2007
Images in XLSX files behave strange in Excel 2007
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: XSSF
3.7-FINAL
PC All
: P2 normal (vote)
: ---
Assigned To: POI Developers List
http://apache-poi.1045710.n5.nabble.c...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-12-11 14:11 UTC by Johan
Modified: 2011-06-13 11:58 UTC (History)
1 user (show)



Attachments
Faulty output! (112.50 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2010-12-11 14:11 UTC, Johan
Details
A little program which reproduces the error (1.49 KB, application/octet-stream)
2010-12-11 14:14 UTC, Johan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johan 2010-12-11 14:11:03 UTC
Created attachment 26393 [details]
Faulty output!

Xlsx file containing 2 images and one textbox gives strange result when I try dragging the images/textbox around in xl.

In Excel 2007 when dragging one image and releasing it the two images change places. And if I stretch the textbox it becomes an Image! 

Works ok if I open in OpenOffice 3.2

A fellow told me that the file didn't work in Excel 2008 but works in 2010.

If I code the same thing with HSSF it works ok.
Comment 1 Johan 2010-12-11 14:14:20 UTC
Created attachment 26394 [details]
A little program which reproduces the error

This code produced the faulty xlsx file
Comment 3 Ray O'Hagan 2011-06-12 23:19:25 UTC
also having the same issue, works fine in HSSF but moving any image around the sheet (when there is more than one image on the sheet) causes the images to switch places, or randomly change to other images on the sheet.
Comment 4 Yegor Kozlov 2011-06-13 11:58:41 UTC
Should be fixed in r1135103

Inserted shapes had the same shapeId=1. That bewildered Excel when moving / dragging the drawing objects.

Yegor